org.eclipse.emf.compare.postprocessor

## Interface IPostProcessor.Descriptor

All Known Implementing Classes:
  BasicPostProcessorDescriptorImpl, PostProcessorDescriptor

Enclosing interface:
  IPostProcessor

    public static interface IPostProcessor.Descriptor

Wrapper describing the given post processor.

### Nested Class Summary

Nested Classes
`static interface` `IPostProcessor.Descriptor.Registry<K>` Registry of post processor.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getInstanceClassName()` Returns the class name of the instance that will be returned by `getPostProcessor()`.
`Pattern` `getNsURI()` Returns the pattern of namespace URI on which this post processor can be applied.
`int` `getOrdinal()` Returns the ordinal of this post processor.
`IPostProcessor` `getPostProcessor()` Returns the wrapped post processor.
`Pattern` `getResourceURI()` Returns the pattern of resource URI on which this post processor can be applied.
`void` `setOrdinal(int parseInt)` Set the ordinal of this post processor.

### Method Detail

#### getPostProcessor

    IPostProcessor getPostProcessor()

Returns the wrapped post processor.

Returns:
  the wrapped post processor

#### getOrdinal

    int getOrdinal()

Returns the ordinal of this post processor.

Returns:
  The ordinal.

#### setOrdinal

    void setOrdinal(int parseInt)

Set the ordinal of this post processor.

Parameters:
  `parseInt` - The ordinal.

#### getNsURI

    Pattern getNsURI()

Returns the pattern of namespace URI on which this post processor can be applied.

Returns:
  The namespace URI pattern.

#### getResourceURI

    Pattern getResourceURI()

Returns the pattern of resource URI on which this post processor can be applied.

Returns:
  The resource URI.

#### getInstanceClassName

    String getInstanceClassName()

Returns the class name of the instance that will be returned by `getPostProcessor()`.

Returns:
  the class name of the instance that will be returned by `getPostProcessor()`.